package sgc.portal.cw.cw0701.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0701.dto.CW07010001USearch;
import sgc.portal.cw.cw0701.model.CW07010001U;

import java.util.List;

@Mapper
public interface CW07010001UMapper {
	
	//잉여 자재(비품)정보 공유 조회
    List<EasyHashMap<String, Object>> selectZehrIsExtraMaterial(CW07010001USearch search);
    
    //잉여 자재(비품)정보 공유 추가 삭제 수정
    int insertZehrIsExtraMaterial(CW07010001U cW07010001U);
    int updateZehrIsExtraMaterial(CW07010001U cW07010001U);
    int deleteZehrIsExtraMaterial(CW07010001U cW07010001U);
    
    int deleteZehrIsExtraMaterialAtchfileId(CW07010001U cW07010001U);
    int selectAtchfileIdCount(CW07010001U cW07010001U);
}